require "banana_bits/version"
require "banana_bits/configuration"
require "banana_bits/client"

module BananaBits
  class Error < StandardError; end

  class << self
    attr_writer :configuration

    def configuration
      @configuration ||= Configuration.new
    end

    def configure
      yield(configuration)
    end

    def reset!
      @configuration = Configuration.new
    end
  end
end

class TrueClass
  def blank?
    false
  end
end

class NilClass
  def blank?
    true
  end
end

class String
  def blank?
    self.strip.empty?
  end
end

class Object
  def blank?
    respond_to?(:empty?) ? empty? : !self
  end
end
